PANDA_XMALLOC(3)

NAME
panda_xmalloc - allocate some memory

SYNOPSIS
 #include<panda/constants.h>
 #include<panda/functions.h>
 void *panda_xmalloc (size_t size);

DESCRIPTION

PANDA INTERNAL. Allocate some memory, performing all of the error checking so we don't have to elsewhere.

RETURNS

A void * to the memory allocated.

EXAMPLE

#include<panda/constants.h> #include<panda/functions.h> char *memory; memory = (char *) panda_xmalloc(42);

VERSION

This documentation was generated for Panda 0.4.2 by autodocbook (http://www.stillhq.com).

AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 and 2001, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.